#
# Conditional build:
%bcond_with	tests	# nothing currently

Summary:	Hypothesis - library for property based testing
Summary(pl.UTF-8):	Hypothesis - biblioteka do testowania opartego na własnościach
Name:		python3-hypothesis
Version:	6.131.20
Release:	1
License:	MPL v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/hypothesis/
Source0:	https://files.pythonhosted.org/packages/source/h/hypothesis/hypothesis-%{version}.tar.gz
# Source0-md5:	ef59cefffce74dc00c7d878bca84349f
URL:		https://github.com/DRMacIver/hypothesis
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:78.1.0
BuildRequires:	python3-wheel
%if %{with tests}
BuildRequires:	python3-attrs >= 19.2.0
%if "%{py3_ver}" == "3.7"
BuildRequires:	python3-importlib_metadata >= 3.6
%endif
BuildRequires:	python3-sortedcontainers >= 2.1.0
BuildRequires:	python3-sortedcontainers < 3.0.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.9
# for individual -extras modules:
#Suggests:	python3-black >= 19.10b0
#Suggests:	python3-click >= 7.0
#Suggests:	python3-dateutil >= 1.4
#Suggests:	python3-django >= 2.2
#Suggests:	python3-dpcontracts >= 0.4
#Suggests:	python3-lark-parser >= 0.6.5
#Suggests:	python3-libcst >= 0.3.16
#Suggests:	python3-numpy >= 1.9.0
#Suggests:	python3-pandas >= 0.25
#Suggests:	python3-pytest >= 4.6
#Suggests:	python3-pytz >= 2014.1
#Suggests:	python3-redis >= 3.0.0
#Suggests:	python3-rich >= 9.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hypothesis is a library for testing your Python code against a much
larger range of examples than you would ever want to write by hand.
It's based on the Haskell library, Quickcheck, and is designed to
integrate seamlessly into your existing Python unit testing work flow.

%description -l pl.UTF-8
Hypothesis to biblioteka do testowania kodu w Pythonie względem dużo
większej liczby przykładów, niż kiedykolwiek chciałoby się pisać
ręcznie. Jest oparta na bibliotece Quickcheck języka Haskell i została
zaprojektowana tak, aby w sposób przezroczysty integrowała się z
istniejącym przepływem testów jednostkowych w Pythonie.

%prep
%setup -q -n hypothesis-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/hypothesis
%{py3_sitescriptdir}/hypothesis
%{py3_sitescriptdir}/_hypothesis_ftz_detector.py
%{py3_sitescriptdir}/_hypothesis_globals.py
%{py3_sitescriptdir}/_hypothesis_pytestplugin.py
%{py3_sitescriptdir}/__pycache__/_hypothesis_ftz_detector.cpython-*.py[co]
%{py3_sitescriptdir}/__pycache__/_hypothesis_globals.cpython-*.py[co]
%{py3_sitescriptdir}/__pycache__/_hypothesis_pytestplugin.cpython-*.py[co]
%{py3_sitescriptdir}/hypothesis-%{version}.dist-info
%changelog
* Wed May 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-hypothesis.git;a=log;h=master

* Wed May 21 2025 Jan Palus <atler@pld-linux.org> 5917c6a
- up to 6.131.20

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> efcf906
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 5912b68
- python 3.13 rebuild

* Sun Sep 11 2022 Jakub Bogusz <qboosh@pld-linux.org> da6e3b6
- updated to 6.47.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> f3edf8f
- rebuild with tests and docs

* Sat Mar 26 2022 Jakub Bogusz <qboosh@pld-linux.org> f10f729
- updated to 6.39.4

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f3aa695
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3b1d864
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 14d988a
- rebuild with python 3.10

* Sat Mar 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 9e944ea
- updated to 5.49.0

* Sat Feb 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 528fbc5
- copied from python-hypothesis.spec, updated to 5.4.1 (for python3 only)

* Sat Feb 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 81ea28c
- updated to 4.57.1 (last version supporting python 2)

* Fri Dec 06 2019 Marcin Krol <hawk@tld-linux.org> 95fde99
- updated to 4.50.8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> aed1aaa
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> f4c43d1
- updated to 4.38.3; fixes errors with typing 3.7.x

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 065993b
- updated to 3.88.3

* Sat Nov 24 2018 Jakub Bogusz <qboosh@pld-linux.org> cc1f863
- updated to 3.82.1

* Sat Jul 14 2018 Jakub Bogusz <qboosh@pld-linux.org> ed7717a
- fix python3egg(enum34) dependency removal with different setuptools versions; release 2

* Sat Jul 14 2018 Jakub Bogusz <qboosh@pld-linux.org> e426db0
- updated to 3.66.1

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ae48c6
- release 2 (by relup.sh)

